classification
Title: Ship 32 and 64bit libs with MSI installer
Type: enhancement Stage: test needed
Components: Installation, Windows Versions: Python 3.4
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: loewis Nosy List: christian.heimes, loewis
Priority: low Keywords:

Created on 2007-12-02 18:59 by christian.heimes, last changed 2013-06-24 13:19 by christian.heimes. This issue is now closed.

Messages (3)
msg58094 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-12-02 18:59
Hello Martin!

How do you like the idea to ship the 32bit and 64bit libs with the MSI
installer? The 64bit libs could be stored in libs64 while the 32bit libs
stay in libs.

I'm working on a task for the GHOP to add cross compiling support to
msvc9compiler. The extra libs are needed to compile 64bit libs on Win32
or the other way around.

Christian
msg58099 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2007-12-02 20:41
I don't mind adding the libs, although I think inclusion of the libs
should be reconsidered, anyway. Why do we ship all of them, when you
only ever need pythonxy.lib?

If you are creating separate directories, please don't indicate the
"64-bit" ones as "libs64" or some such. They are processor-specific, and
neither "32-bit" nor "64-bit" is the name of a microprocessor. Instead,
the processor families are called "IA-32" (also x86, and Intel), "IA-64"
(also Itanium), "AMD64" (also x86-64, x64, EM64T, and Intel64).
msg191761 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2013-06-24 13:19
Nobody has shown interest in this ticket in more than five years. I'm closing it.
History
Date User Action Args
2013-06-24 13:19:07christian.heimessetstatus: open -> closed

messages: + msg191761
versions: + Python 3.4, - Python 3.2
2010-05-20 12:58:31loewissetversions: + Python 3.2, - Python 3.1, Python 2.7
2009-04-07 04:05:41ajaksu2setstage: test needed
type: enhancement
versions: + Python 3.1, Python 2.7, - Python 2.6, Python 3.0
2007-12-02 20:41:27loewissetmessages: + msg58099
2007-12-02 18:59:47christian.heimescreate